
package de.ivu.elect.business.personenpruefung.control;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;


import static java.util.Arrays.asList;

public class PersonenpruefungKonfigurationInit extends AbstractKonfigurationInit {

  public PersonenpruefungKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
        create(ElectKonfigurationWerte.PERSONENPRUEFUNG_MAX_ANZAHL_PRUEFUNGEN_PRO_TRANSAKTION, getDefaultAnzahlProTransaktion()) //
    );
  }

  protected long getDefaultAnzahlProTransaktion() {
    return 50L; // ELECT-16115 von 1.000 auf 50 reduziert
  }
}
